{"id":18094,"date":"2018-12-06T07:09:33","date_gmt":"2018-12-06T07:09:33","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15804"},"modified":"2025-06-03T12:35:11","modified_gmt":"2025-06-03T11:35:11","slug":"debug-logs-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/debug-logs-api\/","title":{"rendered":"Debug Logs API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p><span style=\"font-weight: 400;\">To fetch debug logs of a specific conversation.<\/span><\/p>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/{{version}\/{{BotID}}\/debuglogs?identity={{identity}}&amp;channelType={{channelType}}&amp;minimumInfo=true&amp;limit=5&amp;offset=300&amp;timezone={{timezone}}<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Debug Logs<\/li>\n<li>Admin Console: Not Applicable<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707e295b6\" data-id=\"6ae8707e295b6\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<thead>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<\/thead>\n<tbody>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>BotID<\/td>\n<td>Bot ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\\r\n   'https:\/\/{{host}}\/api\/1.1\/{{BotID}}\/debuglogs?identity={{id}}&amp;channelType=ivrVoice&amp;minimumInfo=true&amp;limit=5&amp;offset=300&amp;timezone=America\/New_York' \\  \r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707e296d9\" data-id=\"6ae8707e296d9\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Body_Parameters\">Body Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>version<\/td>\n<td>Refers to the version of the API. The current version of this API is &#8220;1.1&#8221;<\/td>\n<\/tr>\n<tr>\n<td>identity<\/td>\n<td>Unique ID associated with the call.<\/td>\n<\/tr>\n<tr>\n<td>channel<\/td>\n<td><span style=\"font-weight: 400;\">Name of the channel through which the conversation is initiated. The default is \u2018rtm\u2019.<\/span><\/p>\n<p><span style=\"font-weight: 400;\">Accepted channel types are:<\/span><\/p>\n<ul>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">rtm<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">ivrVoice<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">genericsms<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">t<\/span><span style=\"font-weight: 400;\">wilio<\/span><\/li>\n<li style=\"font-weight: 400;\" aria-level=\"1\"><span style=\"font-weight: 400;\">genesys<\/span><\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<tr>\n<td>minimumInfo<\/td>\n<td>Optional field. Set to &#8216;true&#8217; to get only the summary<\/td>\n<\/tr>\n<tr>\n<td>offset<\/td>\n<td>Specify the page number from which to start fetching the logs. If unspecified, it starts from 0, which is the first page of the list of logs<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>The number of records to fetch. The maximum applicable limit is 50<\/td>\n<\/tr>\n<tr>\n<td>timezone<\/td>\n<td>Ex: America\/New_York<\/td>\n<\/tr>\n<tr>\n<td>fromDate<\/td>\n<td>Date from which the logs are requested, valid formats: yyyy-mm-dd or valid timestamp<\/td>\n<\/tr>\n<tr>\n<td>toDate<\/td>\n<td>Date up to which the logs are requested, valid formats: yyyy-mm-dd or valid timestamp<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"ult-spacer spacer-6ae8707e29939\" data-id=\"6ae8707e29939\" data-height=\"20\" data-height-mobile=\"20\" data-height-tab=\"20\" data-height-tab-portrait=\"\" data-height-mobile-landscape=\"\" style=\"clear:both;display:block;\"><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre class=\"code-limit-400px\">[\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"nomatch_count\": \"0\",\r\n        \"noinput_count\": \"1\",\r\n        \"debugTitle\": \"Bing\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"intent node initiated\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"debugTitle\": \"Bing\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"intent node processing is completed\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"entity node initiated\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:17.258Z\",\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugLevel\": \"Info\",\r\n        \"debugMessage\": \"Waiting for user input\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugMessage\": \"User prompt parsing\",\r\n        \"debugLevel\": \"info\",\r\n        \"timestamp\": \"2018-11-22T13:06:17.304Z\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugMessage\": \"User prompt parsing successful\",\r\n        \"debugLevel\": \"info\",\r\n        \"debugDetail\": \"\\\"Let me know your name\\\\n\\\"\",\r\n        \"timestamp\": \"2018-11-22T13:06:17.325Z\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:06:31.464Z\",\r\n        \"nomatch_count\": \"2\",\r\n        \"noinput_count\": \"0\",\r\n        \"debugTitle\": \"Nam\",\r\n        \"debugLevel\": \"Warning\",\r\n        \"debugMessage\": \"executeNode has invoked due to MAX_NO_MATCH event\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    },\r\n    {\r\n        \"timestamp\": \"2018-11-22T13:07:54.395Z\",\r\n        \"debugTitle\": \"Company: Reached end of dialog\",\r\n        \"debugLevel\": \"Info\",\r\n        \"metaInfo\": {\r\n            \"channel\": \"ivrVoice\",\r\n            \"identity\": \"Nov22PilotEnv1\"\r\n        }\r\n    }\r\n]<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To fetch debug logs of a specific conversation. Method GET Endpoint https:\/\/{{host}}\/api\/{{version}\/{{BotID}}\/debuglogs?identity={{identity}}&amp;channelType={{channelType}}&amp;minimumInfo=true&amp;limit=5&amp;offset=300&amp;timezone={{timezone}} Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Debug Logs Admin Console: Not Applicable Path Parameters Parameter Description host Environment URL, for example, https:\/\/bots.kore.ai BotID Bot ID. You can access it from the General...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18094","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18094","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18094"}],"version-history":[{"count":27,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18094\/revisions"}],"predecessor-version":[{"id":61632,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18094\/revisions\/61632"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18094"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18094"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18094"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}